Debian Bug report logs - #603393
RFP: libgrits -- a Virtual Globe library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andy Spencer <andy753421@gmail.com>

Date: Sat, 13 Nov 2010 17:24:02 UTC

Severity: wishlist

Fixed in version libgrits/0.5-1

Done: Andy Spencer <andy753421@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, andy753421@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#603393; Package wnpp. (Sat, 13 Nov 2010 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Spencer <andy753421@gmail.com>:
New Bug report received and forwarded. Copy sent to andy753421@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 13 Nov 2010 17:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andy Spencer <andy753421@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libgis -- A Virtual Globe library
Date: Sat, 13 Nov 2010 09:21:42 -0800
Package: wnpp
Severity: wishlist
Owner: Andy Spencer <andy753421@gmail.com>


* Package name    : libgis
  Version         : 0.4.1
  Upstream Author : Andy Spencer <andy753421@gmail.com>
* URL             : http://lug.rose-hulman.edu/code/projects/libgis/wiki
* License         : GPL
  Programming Lang: C
  Description     : A Virtual Globe library

libgis is a "Virtual Globe" library which uses OpenGL to render an image
of the earth using satellite and terrain data from publicly accessible
servers.  This is similar in concept to Google Earth and NASA World
Wind, except implemented as a library.

The source code for this project can be found at

   git://git.gnome.org/libgis




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andy Spencer <andy753421@gmail.com>:
Bug#603393; Package wnpp. (Fri, 19 Nov 2010 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_b@yahoo.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andy Spencer <andy753421@gmail.com>. (Fri, 19 Nov 2010 03:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 603393@bugs.debian.org (full text, mbox):

From: Hamish <hamish_b@yahoo.com>
To: 603393@bugs.debian.org
Subject: Fw: Re: [DebianGIS] Putting libgis into Debian GIS tasks (Was: RFS: libgis - virtual globe library)
Date: Thu, 18 Nov 2010 19:09:08 -0800 (PST)
Fwd from the DebianGIS list:

Hamish wrote:
> <with emphasis>
>   --> please pick a less generic name for the
> package/library!
> </>
> 
> the namespace collision will cause problems. fwiw GRASS has now
> renamed its main library from that to libgrass_gis.so a couple
> of releases ago, anticipating such a thing could happen, but
> I'm not sure what is still out there and would rather not have
> to deal with the consequences of someone's ./configure trying
> to link to the wrong one.
>
> please, please..

(as far as "we were here first" arguments go, we'd been using
that name since sometime in the 1980s..)

but moreover, the name doesn't describe what it does very well,
if at all, as compared to say libvirtglobe or something.


thanks a whole bunch,
Hamish







Changed Bug title to 'ITP: libgrits -- a Virtual Globe library' from 'ITP: libgis -- A Virtual Globe library' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sat, 20 Nov 2010 09:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andy Spencer <andy753421@gmail.com>:
Bug#603393; Package wnpp. (Wed, 27 Jul 2011 16:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andy Spencer <andy753421@gmail.com>. (Wed, 27 Jul 2011 16:36:12 GMT) Full text and rfc822 format available.

Message #17 received at 603393@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 603393@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libgrits: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 603393 RFP: libgrits -- a Virtual Globe library
noowner 603393
thanks

Hi,

This is an automatic email to change the status of libgrits back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libgrits, please send a mail to
<control@bugs.debian.org> with:

 retitle 603393 ITP: libgrits -- a Virtual Globe library
 owner 603393 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <603393@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libgrits -- a Virtual Globe library' from 'ITP: libgrits -- a Virtual Globe library' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:49:49 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andy Spencer <andy753421@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:49:49 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 01 Aug 2011 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to Andy Spencer <andy753421@gmail.com>:
You have taken responsibility. (Thu, 04 Aug 2011 21:24:56 GMT) Full text and rfc822 format available.

Notification sent to Andy Spencer <andy753421@gmail.com>:
Bug acknowledged by developer. (Thu, 04 Aug 2011 21:24:56 GMT) Full text and rfc822 format available.

Message #28 received at 603393-close@bugs.debian.org (full text, mbox):

From: Andy Spencer <andy753421@gmail.com>
To: 603393-close@bugs.debian.org
Subject: Bug#603393: fixed in libgrits 0.5-1
Date: Thu, 04 Aug 2011 21:17:15 +0000
Source: libgrits
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
libgrits, which is due to be installed in the Debian FTP archive:

libgrits-dev_0.5-1_amd64.deb
  to main/libg/libgrits/libgrits-dev_0.5-1_amd64.deb
libgrits-doc_0.5-1_all.deb
  to main/libg/libgrits/libgrits-doc_0.5-1_all.deb
libgrits0_0.5-1_amd64.deb
  to main/libg/libgrits/libgrits0_0.5-1_amd64.deb
libgrits_0.5-1.debian.tar.gz
  to main/libg/libgrits/libgrits_0.5-1.debian.tar.gz
libgrits_0.5-1.dsc
  to main/libg/libgrits/libgrits_0.5-1.dsc
libgrits_0.5.orig.tar.gz
  to main/libg/libgrits/libgrits_0.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andy Spencer <andy753421@gmail.com> (supplier of updated libgrits package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Aug 2011 18:49:14 +0200
Source: libgrits
Binary: libgrits0 libgrits-dev libgrits-doc
Architecture: source amd64 all
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Andy Spencer <andy753421@gmail.com>
Description: 
 libgrits-dev - Development files for grits
 libgrits-doc - HTML documentation for grits
 libgrits0  - Grits is a Virtual Globe library
Closes: 603393
Changes: 
 libgrits (0.5-1) unstable; urgency=low
 .
   * Initial debian package (Closes: #603393)
Checksums-Sha1: 
 e9dedd59146a943f90fff87d399823a305b737a4 1378 libgrits_0.5-1.dsc
 1c1594c3ef91b3b40810564cd743283aa42c4614 456094 libgrits_0.5.orig.tar.gz
 0f298f47a24bc57dbf66bafd57e50c53af015ae2 2614 libgrits_0.5-1.debian.tar.gz
 97b29e9a588e213cf5c477ec8be9bf4eb5ad6dfe 64192 libgrits0_0.5-1_amd64.deb
 4a12415051559e93b48e905377ad956c3050c43c 18262 libgrits-dev_0.5-1_amd64.deb
 169130027d2d434f1d84f0b73629b86324db64b1 57162 libgrits-doc_0.5-1_all.deb
Checksums-Sha256: 
 415eac1ded9d2658a938a6c731a08421561c2530b137765acd0e677912a5e157 1378 libgrits_0.5-1.dsc
 7c737fe9fb9bcc9be9ddcc9fa8555c6d86f727e258cefb2cc8000d9086a4c684 456094 libgrits_0.5.orig.tar.gz
 0c842041a64a04bdb36592fda1651b7ea82871afab246eb9cf0d28e92ee91a26 2614 libgrits_0.5-1.debian.tar.gz
 bb05718fdafe833533463cf6f53ee8f6e949c2508ce7054dace49e1a2cbf58a6 64192 libgrits0_0.5-1_amd64.deb
 4da38364225ab1d852e6bffdf48969179d279b4fa180449b432d8958f595578c 18262 libgrits-dev_0.5-1_amd64.deb
 08abe74cc18d2e25fba237547c0593713725890e5e6d21b9d1f75f98c9fbad01 57162 libgrits-doc_0.5-1_all.deb
Files: 
 0a0af3d9677d2edbc732b9c5d08f76fa 1378 science optional libgrits_0.5-1.dsc
 46652aa025c52379f13c486f6a15e263 456094 science optional libgrits_0.5.orig.tar.gz
 a2d928539383e7e96e374f66b702a028 2614 science optional libgrits_0.5-1.debian.tar.gz
 da37585507cb14a471231865f36ce49b 64192 science optional libgrits0_0.5-1_amd64.deb
 d8c0e12c7194d3102d4b7f5562138ab2 18262 libdevel optional libgrits-dev_0.5-1_amd64.deb
 a961ec70404f528dc04f0d95aaf83616 57162 doc optional libgrits-doc_0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk422h0ACgkQiOXXM92JlhA2OgCdEd5Tp19V2mFgvrszBeh6H8ub
ZmQAniYiX9hjm/2KN/ONasUsfGbuR7LC
=AxGL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Sep 2011 07:43:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:39:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.